Subject: [bug#38827] [PATCH] gnu: Add gitlab-runner.

From: Efraim Flashner <[email-masked]>
Date: Wed, 1 Jan 2020 14:20:17 +0200

On Wed, Jan 01, 2020 at 12:54:37AM +0100, Ludovic Courtès wrote:
> Hello!
> 
> Mathieu Othacehe <[email-masked]> skribis:
> 
> >> I update the package definition following the above guidelines.
> >> could you please check if this updated patch is acceptable?
> >
> > I fixed the indentation, added one space between the two description
> > sentences and pushed.
> 
> The ‘vendor’ directory contains a large number of bundled dependencies,
> including various bits of Docker and Kubernetes.  I’m not comfortable
> keeping this package as is.
> 
> Reza, could you look into unbundling these, or at least a significant
> part of these?
> 
> There’s a Go importer at
> <https://lists.gnu.org/archive/html/guix-devel/2018-04/msg00301.html>,
> but it’s for ‘Gopkg.toml’ files, which seem to be out of fashion, so I’m
> not sure it’d be useful.
> 
> In the meantime, I’d be in favor of reverting the patch.  WDYT?
> 

Unfortunately I'm in agreement. I personally would keep in in a channel
until it's been de-vendored.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted